#!/bin/sh -ex
#
# This file is a shell script that creates the device nodes for DinX.
# The minor number has the following meaning:
#
# bit:	    7	    6	    5	    4	    3	    2	    1	    0
#	+------+------------------------+-------------------------------+
#	|server|          unused	|      DinX tree number 0-15	|
#	+------+------------------------+-------------------------------+

cd /dev

mknod dinxwin0 c 60 0
mknod dinxwin1 c 60 1
mknod dinxwin2 c 60 2
mknod dinxwin3 c 60 3
mknod dinxwin4 c 60 4
mknod dinxwin5 c 60 5
mknod dinxwin6 c 60 6
mknod dinxwin7 c 60 7
mknod dinxwin8 c 60 8
mknod dinxwin9 c 60 9
mknod dinxwin10 c 60 10
mknod dinxwin11 c 60 11
mknod dinxwin12 c 60 12
mknod dinxwin13 c 60 13
mknod dinxwin14 c 60 14
mknod dinxwin15 c 60 15
chmod 666 dinxwin*
ln -s dinxwin0 dinxwin

mknod dinxsvr0 c 60 128
mknod dinxsvr1 c 60 129
mknod dinxsvr2 c 60 130
mknod dinxsvr3 c 60 131
mknod dinxsvr4 c 60 132
mknod dinxsvr5 c 60 133
mknod dinxsvr6 c 60 134
mknod dinxsvr7 c 60 135
mknod dinxsvr8 c 60 136
mknod dinxsvr9 c 60 137
mknod dinxsvr10 c 60 138
mknod dinxsvr11 c 60 139
mknod dinxsvr12 c 60 140
mknod dinxsvr13 c 60 141
mknod dinxsvr14 c 60 142
mknod dinxsvr15 c 60 143
chmod 600 dinxsvr*
ln -s dinxsvr0 dinxsvr

